package com.bwie.auth.controller;

import com.bwie.auth.service.AuthService;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author：杨鹏
 * @Package：com.bwie.auth.controller
 * @Project：yp_zhoukao86
 * @name：AuthController
 * @Date：2024/8/6 9:54
 */
@Log4j2
@RestController
@RequestMapping("auth")
public class AuthController {

    @Autowired
    private AuthService authService;

    @PostMapping("getCode")
    public Result<Integer> getCode(@RequestBody User user){
        Result<Integer> result = authService.getCode(user);
        log.info("响应解决:{}",result);
        return result;
    }


    @PostMapping("login")
    public Result<User> login(@RequestBody User user){
        Result<User> result = authService.login(user);
        log.info("响应解决:{}",result);
        return result;
    }

    @GetMapping("info")
    public Result<User> info(  ){
        Result<User> result = authService.info();
        log.info("响应解决:{}",result);
        return result;
    }

    @PostMapping("logout")
    public void logout(){
        authService.logout();
    }

}
