package com.bwie.auth.feign.factory;

import com.bwie.auth.feign.UserFeign;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FallbackFactory;

/**
 * @Author：杨鹏
 * @Package：com.bwie.auth.feign.factory
 * @Project：yp_zhoukao86
 * @name：UserFeignFactory
 * @Date：2024/8/6 11:02
 */
public class UserFeignFactory implements FallbackFactory<UserFeign> {
    @Override
    public UserFeign create(Throwable cause) {
        return new UserFeign() {
            @Override
            public Result<User> login(User user) {
                return Result.error(cause.getMessage());
            }
        };
    }
}
