package com.bwie.firm.controller;

import com.bwie.common.domain.Firm;
import com.bwie.common.domain.People;
import com.bwie.common.result.Result;
import com.bwie.firm.service.FirmService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author：杨鹏
 * @Package：com.bwie.user.controller
 * @Project：yp_zhoukao86
 * @name：FirmController
 * @Date：2024/8/6 10:39
 */
@RestController
@RequestMapping("firm")
public class FirmController {

    @Autowired
    private FirmService firmService;

    @PostMapping("firmList")
    public Result firmList(@RequestBody Firm firm){
        return firmService.firmList(firm);
    }

    @PostMapping("peopleList")
    public Result peopleList(@RequestBody People people){
        return firmService.peopleList(people);
    }

    @PostMapping("peopleAdd")
    public Result peopleAdd(@RequestBody People people){
        return firmService.peopleAdd(people);
    }

    @PostMapping("peopleUpd")
    public Result peopleUpd(@RequestBody People people){
        return firmService.peopleUpd(people);
    }

    @GetMapping("jobList")
    public Result jobList(){
        return firmService.jobList();
    }

}
